Skip to main content
GET
/
accounts
List Accounts
curl --request GET \
  --url https://data.apartmentiq.io/apartmentiq/api/v1/accounts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 42,
      "name": "Acme Properties"
    },
    {
      "id": 87,
      "name": "Sunrise Communities"
    }
  ],
  "pagination": {
    "current_page": 1,
    "total_pages": 1,
    "total_count": 2,
    "per_page": 50
  }
}

Authorizations

Authorization
string
header
required

Enter a Bearer token obtained via the OAuth client credentials flow or from the Access Tokens tab in your account settings.

Query Parameters

page
integer
default:1

Page number for pagination.

Required range: x >= 1
per_page
integer
default:50

Number of accounts per page. Maximum value is 100.

Required range: 1 <= x <= 100

Response

A paginated list of accounts the authenticated user can access.

data
object[]
required

Array of account objects.

pagination
object
required

Pagination metadata.